Package fr.gouv.vitam.processing.management.client

# Class ProcessingManagementClientMock

java.lang.Object
fr.gouv.vitam.common.client.AbstractMockClient
fr.gouv.vitam.processing.management.client.ProcessingManagementClientMock

All Implemented Interfaces:
  `MockOrRestClient`, `VitamAutoCloseable`, `ProcessingManagementClient`, `AutoCloseable`

public class ProcessingManagementClientMock extends AbstractMockClient implements ProcessingManagementClient

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.common.client.AbstractMockClient

  `AbstractMockClient.FakeInboundResponse`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<ItemStatus>`
  `cancelOperationProcessExecution(String id, boolean force)`
  cancelOperationProcessExecution : cancel processing operation
  `RequestResponse<ItemStatus>`
  `executeOperationProcess(String operationId, String workflow, String actionId)`
  ExecuteOperationProcess : execute an operation processing Other than INIT process, only operation id and action id are required
  `RequestResponse<ProcessPause>`
  `forcePause(ProcessPause info)`
  Add a forced pause on the tenant and/or the type of process
  `RequestResponse<ItemStatus>`
  `getOperationProcessExecutionDetails(String id)`
  getOperationProcessExecutionDetails : get operation processing execution details
  `ItemStatus`
  `getOperationProcessStatus(String id)`
  getOperationProcessStatus: get operation process status**
  `RequestResponse<WorkFlow>`
  `getWorkflowDefinitions()`
  Retrieve all the workflow definitions.
  `Optional<WorkFlow>`
  `getWorkflowDetails(String WorkflowIdentifier)`
  `void`
  `initVitamProcess(ProcessingEntry entry)`
  initVitamProcess woth processing entry
  `void`
  `initVitamProcess(String container, String workflowId)`
  initVitamProcess
  `RequestResponse<ProcessDetail>`
  `listOperationsDetails(ProcessQuery query)`
  Retrieve all the workflow operations
  `void`
  `registerWorker(String familyId, String workerId, WorkerBean workerDescription)`
  Register a new worker knowing its family and with a WorkerBean.
  `RequestResponse<ProcessPause>`
  `removeForcePause(ProcessPause info)`
  Removed the forced pause on the tenant and/or the type of process
  `void`
  `unregisterWorker(String familyId, String workerId)`
  Unregister a worker knowing its family and its workerId.
  `RequestResponse<ItemStatus>`
  `updateOperationActionProcess(String actionId, String operationId)`
  updateOperationActionProcess : update operation processing status

  ### Methods inherited from class fr.gouv.vitam.common.client.AbstractMockClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Method Details

  - ### getOperationProcessStatus

    public ItemStatus getOperationProcessStatus(String id)
    Description copied from interface: `ProcessingManagementClient`
    getOperationProcessStatus: get operation process status**
    Specified by:
      `getOperationProcessStatus` in interface `ProcessingManagementClient`
    Parameters:
      `id` - : operation identifier*
    Returns:
      ItemStatus response containing message and status*

  - ### getOperationProcessExecutionDetails

    public RequestResponse<ItemStatus> getOperationProcessExecutionDetails(String id)
    Description copied from interface: `ProcessingManagementClient`
    getOperationProcessExecutionDetails : get operation processing execution details
    Specified by:
      `getOperationProcessExecutionDetails` in interface `ProcessingManagementClient`
    Parameters:
      `id` - : operation identifier
    Returns:
      Engine response containing message and status

  - ### cancelOperationProcessExecution

    public RequestResponse<ItemStatus> cancelOperationProcessExecution(String id, boolean force)
    Description copied from interface: `ProcessingManagementClient`
    cancelOperationProcessExecution : cancel processing operation
    Specified by:
      `cancelOperationProcessExecution` in interface `ProcessingManagementClient`
    Parameters:
      `id` - : operation identifier
    Returns:
      ItemStatus response containing message and status

  - ### updateOperationActionProcess

    public RequestResponse<ItemStatus> updateOperationActionProcess(String actionId, String operationId)
    Description copied from interface: `ProcessingManagementClient`
    updateOperationActionProcess : update operation processing status
    Specified by:
      `updateOperationActionProcess` in interface `ProcessingManagementClient`
    Parameters:
      `actionId` - : identify the action to be executed by the workflow(next , pause,resume)
      `operationId` - : operation identifier
    Returns:
      Response containing message and status

  - ### executeOperationProcess

    public RequestResponse<ItemStatus> executeOperationProcess(String operationId, String workflow, String actionId)
    Description copied from interface: `ProcessingManagementClient`
    ExecuteOperationProcess : execute an operation processing Other than INIT process, only operation id and action id are required
    Specified by:
      `executeOperationProcess` in interface `ProcessingManagementClient`
    Parameters:
      `operationId` - id of the operation (required)
      `workflow` - id of the workflow (optional)
      `actionId` - identify the action to be executed by the workflow(next , pause,resume) (required)
    Returns:
      RequestResponse

  - ### registerWorker

    public void registerWorker(String familyId, String workerId, WorkerBean workerDescription)
    Description copied from interface: `ProcessingManagementClient`
    Register a new worker knowing its family and with a WorkerBean. If a problem is encountered, an exception is thrown.
    Specified by:
      `registerWorker` in interface `ProcessingManagementClient`
    Parameters:
      `familyId` - the id of the family to which the worker has to be registered
      `workerId` - the id of the worker to be registered
      `workerDescription` - the description of the worker as a workerBean

  - ### unregisterWorker

    public void unregisterWorker(String familyId, String workerId)
    Description copied from interface: `ProcessingManagementClient`
    Unregister a worker knowing its family and its workerId. If the familyId or the workerId is unknown, an exception is thrown.
    Specified by:
      `unregisterWorker` in interface `ProcessingManagementClient`
    Parameters:
      `familyId` - the id of the family to which the worker has to be registered
      `workerId` - the id of the worker to be registered

  - ### initVitamProcess

    public void initVitamProcess(String container, String workflowId)
    Description copied from interface: `ProcessingManagementClient`
    initVitamProcess
    Specified by:
      `initVitamProcess` in interface `ProcessingManagementClient`
    Parameters:
      `container` -
      `workflowId` -

  - ### listOperationsDetails

    public RequestResponse<ProcessDetail> listOperationsDetails(ProcessQuery query)
    Description copied from interface: `ProcessingManagementClient`
    Retrieve all the workflow operations
    Specified by:
      `listOperationsDetails` in interface `ProcessingManagementClient`
    Parameters:
      `query` - Query model
    Returns:
      All details of the operations

  - ### getWorkflowDefinitions

    public RequestResponse<WorkFlow> getWorkflowDefinitions()
    Description copied from interface: `ProcessingManagementClient`
    Retrieve all the workflow definitions.
    Specified by:
      `getWorkflowDefinitions` in interface `ProcessingManagementClient`
    Returns:
      map of workflow definitions by id

  - ### getWorkflowDetails

    public Optional<WorkFlow> getWorkflowDetails(String WorkflowIdentifier)
    Specified by:
      `getWorkflowDetails` in interface `ProcessingManagementClient`
    Parameters:
      `WorkflowIdentifier` -
    Returns:

  - ### initVitamProcess

    public void initVitamProcess(ProcessingEntry entry)
    Description copied from interface: `ProcessingManagementClient`
    initVitamProcess woth processing entry
    Specified by:
      `initVitamProcess` in interface `ProcessingManagementClient`
    Parameters:
      `entry` -

  - ### forcePause

    public RequestResponse<ProcessPause> forcePause(ProcessPause info)
    Description copied from interface: `ProcessingManagementClient`
    Add a forced pause on the tenant and/or the type of process
    Specified by:
      `forcePause` in interface `ProcessingManagementClient`
    Parameters:
      `info` -

  - ### removeForcePause

    public RequestResponse<ProcessPause> removeForcePause(ProcessPause info)
    Description copied from interface: `ProcessingManagementClient`
    Removed the forced pause on the tenant and/or the type of process
    Specified by:
      `removeForcePause` in interface `ProcessingManagementClient`
    Parameters:
      `info` -